<div class="container h-100 text-left">
  <div class="row h-100">
    <div class="col-12 align-self-center">
      <div class="row mb-2 auth-wrapper mx-auto">
        <div class="col-12">
          <h4 class="text-primary">{{ title }}</h4>
          <p>{{ description }}</p>
        </div>
      </div>

      <div class="row auth-wrapper mx-auto">
        <div class="col-12" *ngIf="isChanged">
          <app-button
            value="Prijavi se"
            classList="btn-secondary btn-block"
            (clicked)="goToLogin()"
          ></app-button>
        </div>
        <div class="col-12" *ngIf="!isChanged">
          <form [formGroup]="form" (ngSubmit)="submit()">
            <div class="mb-2">
              <app-password-input
                [placeholder]="'Unesi novu lozinku'"
                [controlName]="'password'"
                [parentForm]="form"
              ></app-password-input>
            </div>

            <br />

            <div class="form-group">
              <app-button
                [faIcon]="faCheck"
                [classList]="'btn-secondary btn-block'"
                [value]="'Promijeni lozinku'"
                (clicked)="submit()"
              ></app-button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
